Subject: login not working

From: Peter Danielsson <[email-masked]>
Date: Thu, 15 Apr 1999 10:29:13 +0000

Forgive me if this is as trivial I hope it is!

I cannot get login to work on my machine. I've tried
to recompile login myself - none of the versions I tried
worked. I've tried the login found in debian-arm, it
didn't work.
Since the login I have for libc4 works I think there could
be a bug in the glibc I compiled myself, so I tried the glibc
found on rawhide.redhat.com, it still doesn't work. But
I finally made a little test program:

#include <pwd.h>
#include <sys/types.h>
#include <stdio.h>

struct passwd *pwd;

main(){
        printf("testing getpwnam()\n");
        pwd = getpwnam("root");
        if(pwd){
                if(pwd->pw_name) printf("pw_name = %s\n", pwd->pw_name);
                if(pwd->pw_passwd) printf("pw_passwd = %s\n",
pwd->pw_passwd);
        }else{
                printf(" getpwnam(\"root\") failed\n");
        }
}

When run, it reports that getpwnam fails.

Any ideas I could try?

/Peter
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]